Bug 462732 - RHEL5 cmirror tracker: RFE: cmirror init script shouldn't fail to start if it's already started
RHEL5 cmirror tracker: RFE: cmirror init script shouldn't fail to start if it...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
medium Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 12:16 EDT by Corey Marthaler
Modified: 2010-01-11 21:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-09-18 12:16:04 EDT
Description of problem:
Of the three cluster init scripts (cman,cmirror,clvmd) only cmirror fails
if it's already up and running.

With everything already running:
[root@taft-01 /]# service cman start
Starting cluster: 
   Loading modules... done
   Mounting configfs... done
   Starting ccsd... done
   Starting cman... done
   Starting daemons... done
   Starting fencing... done
                                                           [  OK  ]
[root@taft-01 /]# service cmirror start
Loading clustered mirror log module:                       [  OK  ]
Starting clustered mirror log server:                      [FAILED]

[root@taft-01 /]# service clvmd start
Activating VGs:   2 logical volume(s) in volume group "VolGroup00" now active
                                                           [  OK  ]


Version-Release number of selected component (if applicable):
cmirror-1.1.23-1.el5
Comment 1 Jonathan Earl Brassow 2008-09-23 17:24:44 EDT
have fix, waiting for flags
Comment 2 Kiersten (Kerri) Anderson 2008-10-08 16:57:05 EDT
cmirror init script not LSB compliant, needs to get fixed prior to 5.3 ga so setting flags and blocker request.
Comment 3 Jonathan Earl Brassow 2008-10-08 17:18:57 EDT
commit e04ecdfd2250c49b53c0d2ffaa49bf7c7f159131
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Wed Oct 8 16:18:22 2008 -0500

    cmirror:  Fix bug 462732 - cmirror init script shouldn't fail to start if i

    Make cmirror init script LSB compliant.
Comment 4 Corey Marthaler 2008-10-09 10:50:31 EDT
Fix verified in cmirror-1.1.30-1.el5.
Comment 7 errata-xmlrpc 2009-01-20 16:26:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.